#------------------------------------------------------------------------
# Collection of macros that have been developed to
#  transition from autoconf/automake to CMake
#------------------------------------------------------------------------

include(Autotools/ArchiveX/cm_aux_variable_normalize)
include(Autotools/ArchiveX/cm_string_special_characters)

include(Autotools/ArchiveX/cx_check_func_swap)
include(Autotools/ArchiveX/cx_check_func_swap_all)
include(Autotools/ArchiveX/cx_check_header_for_subst)
include(Autotools/ArchiveX/cx_check_header_zstd)
include(Autotools/ArchiveX/cx_check_lib_framel)
include(Autotools/ArchiveX/cx_check_lib_md5sum)
include(Autotools/ArchiveX/cx_check_lib_umem)
include(Autotools/ArchiveX/cx_check_lib_z)
include(Autotools/ArchiveX/cx_check_lib_zstd)
include(Autotools/ArchiveX/cx_check_pthread_read_write_lock)
include(Autotools/ArchiveX/cx_check_sizes)
include(Autotools/ArchiveX/cx_cmake_language)
include(Autotools/ArchiveX/cx_cmake_list_join)
include(Autotools/ArchiveX/cx_cpack)
include(Autotools/ArchiveX/cx_create_executable)
include(Autotools/ArchiveX/cx_ctest_add_python_test)
include(Autotools/ArchiveX/cx_c_append_flags)
include(Autotools/ArchiveX/cx_c_warnings_as_errors)
include(Autotools/ArchiveX/cx_cxx_append_flags)
include(Autotools/ArchiveX/cx_cxx_constexpr)
include(Autotools/ArchiveX/cx_cxx_exceptions_rethrow)
include(Autotools/ArchiveX/cx_cxx_template_aliases)
include(Autotools/ArchiveX/cx_cxx_template_aliases_via_using)
include(Autotools/ArchiveX/cx_cxx_template_as_template_parameter)
include(Autotools/ArchiveX/cx_cxx_template_move)
include(Autotools/ArchiveX/cx_cxx_unique_ptr)
include(Autotools/ArchiveX/cx_cxx_warnings_as_errors)
include(Autotools/ArchiveX/cx_find_pkg)
include(Autotools/ArchiveX/cx_find_pkg_zstd)
include(Autotools/ArchiveX/cx_install_header)
include(Autotools/ArchiveX/cx_iterate)
include(Autotools/ArchiveX/cx_ldas_pkg_check)
include(Autotools/ArchiveX/cx_ldas_prog_cxx)
include(Autotools/ArchiveX/cx_link_headers)
include(Autotools/ArchiveX/cx_list_prefix)
include(Autotools/ArchiveX/cx_mktemp)
include(Autotools/ArchiveX/cx_msg_debug)
include(Autotools/ArchiveX/cx_msg_debug_variable)
include(Autotools/ArchiveX/cx_prog_cxx)
include(Autotools/ArchiveX/cx_prog_doxygen)
include(Autotools/ArchiveX/cx_python_module)
include(Autotools/ArchiveX/cx_reconfigure)
include(Autotools/ArchiveX/cx_scheme_sanitizer)
include(Autotools/ArchiveX/cx_scheme_sanitizer_asan)
include(Autotools/ArchiveX/cx_scheme_sanitizer_lsan)
include(Autotools/ArchiveX/cx_scheme_sanitizer_msan)
include(Autotools/ArchiveX/cx_scheme_sanitizer_tsan)
include(Autotools/ArchiveX/cx_scheme_sanitizer_ubsan)
include(Autotools/ArchiveX/cx_scheme_sanitizer_set_environment)
include(Autotools/ArchiveX/cx_set_variable_default)
include(Autotools/ArchiveX/cx_struct_procfs_psinfo)
include(Autotools/ArchiveX/cx_struct_procfs_stat)
include(Autotools/ArchiveX/cx_swig_python_module)
include(Autotools/ArchiveX/cx_system_daemon)
include(Autotools/ArchiveX/cx_target_abi_check)
include(Autotools/ArchiveX/cx_target_changed_files_actions)
include(Autotools/ArchiveX/cx_target_changed_files_diff)
include(Autotools/ArchiveX/cx_target_changed_files_list)
include(Autotools/ArchiveX/cx_target_changed_files_pull)
include(Autotools/ArchiveX/cx_target_changed_files_push)
include(Autotools/ArchiveX/cx_target_executable)
include(Autotools/ArchiveX/cx_target_gtest)
include(Autotools/ArchiveX/cx_target_library)
include(Autotools/ArchiveX/cx_target_manual)
include(Autotools/ArchiveX/cx_target_pkgconfig)
include(Autotools/ArchiveX/cx_target_test)
include(Autotools/ArchiveX/cx_test_python)
